Skip to main content
`Ctrl`+`K`

# SNESNewtonALGetLoadParameter

Get the value of the load parameter `lambda` for the arc-length continuation method.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNewtonALGetLoadParameter(SNES snes, PetscReal *lambda)

Logically Collective

## Input Parameter

- snes - the nonlinear solver object

## Output Parameter

- lambda - the arc-length parameter

## Notes

This function should be used in the functions provided to `SNESSetFunction()` and `SNESNewtonALSetFunction()` to compute the residual and tangent load vectors for a given value of `lambda` (0 <= lambda <= 1).

Usually, `lambda` is used to scale the external force vector in the residual function, i.e. proportional loading, in which case the tangent load vector is the full external force vector.

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESNEWTONAL`, `SNESNewtonALSetFunction()`

## Level

intermediate

## Location

src/snes/impls/al/al.c

## Examples

src/snes/tutorials/ex16.c

## Implementations

SNESNewtonALGetLoadParameter_NEWTONAL() in src/snes/impls/al/al.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages